Visitor spend
GET
/v1/spendWhat visitors spent, in local currency, or converted at each period's reference rate.
Developer plan and upKey requiredJSON or CSVCached until the next release
Parameters
| Name | Type | Description |
|---|---|---|
| countryoptional | string query | One or more ISO codes, comma separated e.g. CL,BA,AT |
| freqoptional | M | Q | A query | Frequency: monthly, quarterly or annual e.g. M |
| fromoptional | period query | First period to return e.g. 2025-01 |
| tooptional | period query | Last period to return e.g. 2026-08 |
| currencyoptional | string query | Convert money to this ISO 4217 currency at each period's rate e.g. USD |
Request
# Visitor spend in local currency or converted
curl "https://api.tourismapi.com/v1/spend?country=CL,JP,IE&from=2025-01&to=2026-08¤cy=USD" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/spend?country=CL,JP,IE&from=2025-01&to=2026-08¤cy=USD", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/spend?country=CL,JP,IE&from=2025-01&to=2026-08¤cy=USD",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/spend?country=CL,JP,IE&from=2025-01&to=2026-08¤cy=USD");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_b34a6c9ee0",
"data_as_of": "2026-10-20T04:48:00Z",
"count": 3,
"measure": "spend",
"currency": "USD",
"converted_at": "the average rate of each period"
},
"data": [
{
"country": "CL",
"series": "sr_qn2jpsb5",
"name": "Travel spending (debit), CHL, quarterly",
"unit": "US dollars, x10^6",
"freq": "Q",
"observations": [
{
"period": "2025-Q4",
"value": 752348814.62
},
{
"period": "2026-Q1",
"value": 975684952.45
},
{
"period": "2026-Q2",
"value": 770375501.44
}
],
"note": "This series is not in a currency we can convert; shown as published."
},
{
"country": "JP",
"series": "sr_6xrp44rt",
"name": "Travel receipts (credit), JPN, quarterly",
"unit": "US dollars, x10^6",
"freq": "Q",
"observations": [
{
"period": "2025-Q4",
"value": 16806923240.334
},
{
"period": "2026-Q1",
"value": 15080441399.437
},
{
"period": "2026-Q2",
"value": 16225839715.666
}
],
"note": "This series is not in a currency we can convert; shown as published."
},
{
"country": "IE",
"series": "sr_918xs3ky",
"name": "Mean Nightly Accommodation Costs of Overnight Foreign Visitors, USA & Canada",
"unit": "USD",
"freq": "M",
"observations": [
{
"period": "2026-06",
"value": 131.31,
"rate": 1.1518
},
{
"period": "2026-07",
"value": 129.02,
"rate": 1.141748
},
{
"period": "2026-08",
"value": 125.21,
"rate": 1.15931
}
]
}
]
}Response fields
| Field | Type | Example |
|---|---|---|
| country | string | CL |
| series | string | sr_qn2jpsb5 |
| name | string | Travel spending (debit), CHL, quarterly |
| unit | string | US dollars, x10^6 |
| freq | string | Q |
| observations | array | 3 items |
| note | string | This series is not in a currency we can convert; shown as published. |